| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Community Group

Community Group Definitions and Methods. More...

## Classes
struct | unsp__AddCommunityGroupRequest
| Add Community Group request. More...
struct | unsp__AddCommunityGroupResult
| Add Community Group result. More...
struct | unsp__ModifyCommunityGroupRequest
| Modify Community Group request. More...
struct | unsp__ModifyCommunityGroupResult
| Modify Community Group result. More...
struct | unsp__RemoveCommunityGroupRequest
| Remove Community Group request. More...
struct | unsp__RemoveCommunityGroupResult
| Remove Community Group result. More...
struct | unsp__ComGroupElement
| Community Group Element. More...
struct | unsp__ComGroupList
| List of Community Groups. More...
struct | unsp__QueryCommunityGroupRequest
| Query Community Group request. More...
struct | unsp__QueryCommunityGroupResult
| Query Community Group result. More...
struct | unsp__AddCommunityGroupMemberRequest
| Add Community Group Member request. More...
struct | unsp__AddCommunityGroupMemberResult
| Add Community Group Member result. More...
struct | unsp__ModifyCommunityGroupMemberRequest
| Modify Community Group Member request. More...
struct | unsp__ModifyCommunityGroupMemberResult
| Modify Community Group Member result. More...
struct | unsp__RemoveCommunityGroupMemberRequest
| Remove Community Group Member request. More...
struct | unsp__RemoveCommunityGroupMemberResult
| Remove Community Group Member result. More...
struct | unsp__ComGroupMemberElement
| Community Group Member Element. More...
struct | unsp__ComGroupMemberList
| List of Community Group Member Elements. More...
struct | unsp__QueryCommunityGroupMemberRequest
| Query Community Group Members request. More...
struct | unsp__QueryCommunityGroupMemberResult
| Query Community Group Members result. More...

## Enumerations
enum | unsp__ComSortType { COM_SortBy_ComNumber, COM_SortBy_DestNumber }
| Specifies Sorting Criteria for Community Group members. More...

## Functions
int | unsp__AddCommunityGroup (struct unsp__AddCommunityGroupRequest AddCommunityGroupRequest, struct unsp__AddCommunityGroupResult *AddCommunityGroupResult)
| Creates a new Community Group and assigns it to a subscriber. More...
int | unsp__ModifyCommunityGroup (struct unsp__ModifyCommunityGroupRequest ModifyCommunityGroupRequest, struct unsp__ModifyCommunityGroupResult *ModifyCommunityGroupResult)
| Modifies an existing Community Group. More...
int | unsp__RemoveCommunityGroup (struct unsp__RemoveCommunityGroupRequest RemoveCommunityGroupRequest, struct unsp__RemoveCommunityGroupResult *RemoveCommunityGroupResult)
| Removes an existing Community Group. More...
int | unsp__QueryCommunityGroup (struct unsp__QueryCommunityGroupRequest QueryCommunityGroupRequest, struct unsp__QueryCommunityGroupResult *QueryCommunityGroupResult)
| This method is used to retrieve the information about the community groups that belong to a business group. More...
int | unsp__AddCommunityGroupMember (struct unsp__AddCommunityGroupMemberRequest AddCommunityGroupMemberRequest, struct unsp__AddCommunityGroupMemberResult *AddCommunityGroupMemberResult)
| Add members to a Community Group. More...
int | unsp__ModifyCommunityGroupMember (struct unsp__ModifyCommunityGroupMemberRequest ModifyCommunityGroupMemberRequest, struct unsp__ModifyCommunityGroupMemberResult *ModifyCommunityGroupMemberResult)
| Modifies members of a Community Group. More...
int | unsp__RemoveCommunityGroupMember (struct unsp__RemoveCommunityGroupMemberRequest RemoveCommunityGroupMemberRequest, struct unsp__RemoveCommunityGroupMemberResult *RemoveCommunityGroupMemberResult)
| Removes members from a Community Group. More...
int | unsp__QueryCommunityGroupMember (struct unsp__QueryCommunityGroupMemberRequest QueryCommunityGroupMemberRequest, struct unsp__QueryCommunityGroupMemberResult *QueryCommunityGroupMemberResult)
| Retrieves the information about the members of a community group. More...

## Detailed Description

Community Group Definitions and Methods.

Community Groups are used to configure bilateral Intercom Calling capabilities and to provide fast dialing for Intercom Calls. Any OSV subscriber that shall originate or terminate Intercom calls, has to be provisioned with a personal Community Group, defining the allowed Intercom targets/origins. Each OSV subscriber can be provisioned with no more than one community group.

## Enumeration Type Documentation

## ◆ unsp__ComSortType

enum unsp__ComSortType

Specifies Sorting Criteria for Community Group members.

Enumerator
COM_SortBy_ComNumber | Sort By COMNumber.
COM_SortBy_DestNumber | Sort By Destination Number.

## Function Documentation

## ◆ unsp__AddCommunityGroup()

unsp__AddCommunityGroup | ( | struct unsp__AddCommunityGroupRequest | AddCommunityGroupRequest,
|  | struct unsp__AddCommunityGroupResult * | AddCommunityGroupResult
| ) |  |

Creates a new Community Group and assigns it to a subscriber.

A subscriber may have only one community group assigned.

Parameters

  AddCommunityGroupRequest | API request
  AddCommunityGroupResult | API result MP2 command: ACG [Attributes]

## ◆ unsp__AddCommunityGroupMember()

unsp__AddCommunityGroupMember | ( | struct unsp__AddCommunityGroupMemberRequest | AddCommunityGroupMemberRequest,
|  | struct unsp__AddCommunityGroupMemberResult * | AddCommunityGroupMemberResult
| ) |  |

Add members to a Community Group.

Parameters

  AddCommunityGroupMemberRequest | API request
  AddCommunityGroupMemberResult | API result MP2 command: ACGM [Attributes]

## ◆ unsp__ModifyCommunityGroup()

unsp__ModifyCommunityGroup | ( | struct unsp__ModifyCommunityGroupRequest | ModifyCommunityGroupRequest,
|  | struct unsp__ModifyCommunityGroupResult * | ModifyCommunityGroupResult
| ) |  |

Modifies an existing Community Group.

Parameters

  ModifyCommunityGroupRequest | API request
  ModifyCommunityGroupResult | API result MP2 command: MCG [Attributes]

## ◆ unsp__ModifyCommunityGroupMember()

unsp__ModifyCommunityGroupMember | ( | struct unsp__ModifyCommunityGroupMemberRequest | ModifyCommunityGroupMemberRequest,
|  | struct unsp__ModifyCommunityGroupMemberResult * | ModifyCommunityGroupMemberResult
| ) |  |

Modifies members of a Community Group.

Parameters

  ModifyCommunityGroupMemberRequest | API request
  ModifyCommunityGroupMemberResult | API result MP2 command: MCGM [Attributes]

## ◆ unsp__QueryCommunityGroup()

unsp__QueryCommunityGroup | ( | struct unsp__QueryCommunityGroupRequest | QueryCommunityGroupRequest,
|  | struct unsp__QueryCommunityGroupResult * | QueryCommunityGroupResult
| ) |  |

This method is used to retrieve the information about the community groups that belong to a business group.

The function requires that a business group is provided in order to query for its community groups.

Parameters

  QueryCommunityGroupRequest | API request
  QueryCommunityGroupResult | API result

## ◆ unsp__QueryCommunityGroupMember()

unsp__QueryCommunityGroupMember | ( | struct unsp__QueryCommunityGroupMemberRequest | QueryCommunityGroupMemberRequest,
|  | struct unsp__QueryCommunityGroupMemberResult * | QueryCommunityGroupMemberResult
| ) |  |

Retrieves the information about the members of a community group.

Parameters

  QueryCommunityGroupMemberRequest | API request
  QueryCommunityGroupMemberResult | API result

## ◆ unsp__RemoveCommunityGroup()

unsp__RemoveCommunityGroup | ( | struct unsp__RemoveCommunityGroupRequest | RemoveCommunityGroupRequest,
|  | struct unsp__RemoveCommunityGroupResult * | RemoveCommunityGroupResult
| ) |  |

Removes an existing Community Group.

Parameters

  RemoveCommunityGroupRequest | API request
  RemoveCommunityGroupResult | API result MP2 command: RCG [Attributes]

## ◆ unsp__RemoveCommunityGroupMember()

unsp__RemoveCommunityGroupMember | ( | struct unsp__RemoveCommunityGroupMemberRequest | RemoveCommunityGroupMemberRequest,
|  | struct unsp__RemoveCommunityGroupMemberResult * | RemoveCommunityGroupMemberResult
| ) |  |

Removes members from a Community Group.

Parameters

  RemoveCommunityGroupMemberRequest | API request
  RemoveCommunityGroupMemberResult | API result MP2 command: RCGM [Attributes]